Mängel
Die Endpunkte dieser Endpunktberechtigung finden Sie im Controller "DefectEdit".
Um auf die Daten der Mängel über die API zugreifen zu können, muss die Endpunktberechtigung "Mängel bearbeiten" aktiviert werden.
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
Mängel anlegen
Version 1.2
post
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringErforderlich
Body
Namestring · nullableOptional
Descriptionstring · nullableOptional
IsSolvedbooleanOptional
RemediationRefusedbooleanOptional
DueUntilstring · date · nullableOptionalExample:
2026-09-14Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])EconomicUnitIdinteger · int32Optional
UseUnitIdinteger · int32 · nullableOptional
BuildingIdinteger · int32 · nullableOptional
ComponentIdinteger · int32 · nullableOptional
FacilityIdinteger · int32 · nullableOptional
HandoverIdinteger · int32 · nullableOptional
CommissionIdinteger · int32 · nullableOptional
RestorationDutyIdinteger · int32 · nullableOptional
TimeDamagestring · date · nullableOptionalExample:
2026-09-14Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])Antworten
201
Created
Idinteger · int32Optional
IdNumstring · nullableOptional
400
Bad Request
401
Unauthorized
post/openwowi/v1.2/DefectEdit/Defect
POST /openwowi/v1.2/DefectEdit/Defect?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 261
{
"Name": "text",
"Description": "text",
"IsSolved": true,
"RemediationRefused": true,
"DueUntil": "2026-09-14",
"EconomicUnitId": 1,
"UseUnitId": 1,
"BuildingId": 1,
"ComponentId": 1,
"FacilityId": 1,
"HandoverId": 1,
"CommissionId": 1,
"RestorationDutyId": 1,
"TimeDamage": "2026-09-14"
}{
"Id": 1,
"IdNum": "text"
}Mängel ändern
Version 1.2
put
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Pfadparameter
defectIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringErforderlich
Body
Namestring · nullableOptional
Descriptionstring · nullableOptional
IsSolvedbooleanOptional
RemediationRefusedbooleanOptional
DueUntilstring · date · nullableOptionalExample:
2026-09-14Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])EconomicUnitIdinteger · int32Optional
UseUnitIdinteger · int32 · nullableOptional
BuildingIdinteger · int32 · nullableOptional
ComponentIdinteger · int32 · nullableOptional
FacilityIdinteger · int32 · nullableOptional
HandoverIdinteger · int32 · nullableOptional
CommissionIdinteger · int32 · nullableOptional
RestorationDutyIdinteger · int32 · nullableOptional
TimeDamagestring · date · nullableOptionalExample:
2026-09-14Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])Antworten
200
OK
Idinteger · int32Optional
IdNumstring · nullableOptional
400
Bad Request
401
Unauthorized
put/openwowi/v1.2/DefectEdit/Defect/{defectId}
PUT /openwowi/v1.2/DefectEdit/Defect/{defectId}?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 261
{
"Name": "text",
"Description": "text",
"IsSolved": true,
"RemediationRefused": true,
"DueUntil": "2026-09-14",
"EconomicUnitId": 1,
"UseUnitId": 1,
"BuildingId": 1,
"ComponentId": 1,
"FacilityId": 1,
"HandoverId": 1,
"CommissionId": 1,
"RestorationDutyId": 1,
"TimeDamage": "2026-09-14"
}{
"Id": 1,
"IdNum": "text"
}Mängel löschen
Version 1.2
delete
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Pfadparameter
defectIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringErforderlich
Antworten
200
OK
Idinteger · int32Optional
IdNumstring · nullableOptional
400
Bad Request
401
Unauthorized
delete/openwowi/v1.2/DefectEdit/Defect/{defectId}
DELETE /openwowi/v1.2/DefectEdit/Defect/{defectId}?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"Id": 1,
"IdNum": "text"
}Enumerationen für RestorationDutyId
ID
Code
Deutsch
1
None
Keine
2
Renter
Mieter
3
Owner
Vermieter
4
FollowUpRenter
Folgemieter
5
PreviousRenter
Vormieter
Zuletzt aktualisiert
